org.codehaus.groovy.control

## Class CompilationUnit.ClassgenCallback

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.ClassgenCallback

Direct Known Subclasses:
  GroovyClassLoader.ClassCollector

Enclosing class:
  CompilationUnit

    public abstract static class CompilationUnit.ClassgenCallback
    extends Object

A callback interface you can use to "accompany" the classgen() code as it traverses the ClassNode tree. You will be called-back for each primary and inner class. Use setClassgenCallback() before running compile() to set your callback.

### Constructor Summary

Constructors
Constructor and Description
`CompilationUnit.ClassgenCallback()`

### Method Summary

Methods
`abstract void` `call(org.objectweb.asm.ClassVisitor writer, ClassNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilationUnit.ClassgenCallback

    public CompilationUnit.ClassgenCallback()

### Method Detail

#### call

    public abstract void call(org.objectweb.asm.ClassVisitor writer,
            ClassNode node)
                       throws CompilationFailedException

Throws:
  `CompilationFailedException`